Bug 1817258 - Can't install dpkg on Silverblue / rpm-ostree
Summary: Can't install dpkg on Silverblue / rpm-ostree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dpkg
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1352154
TreeView+ depends on / blocked
 
Reported: 2020-03-25 23:37 UTC by kxra
Modified: 2021-05-23 01:10 UTC (History)
5 users (show)

Fixed In Version: dpkg-1.20.7.1-2.fc34 dpkg-1.20.7.1-2.fc32 dpkg-1.20.9-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-10 01:05:31 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description kxra 2020-03-25 23:37:38 UTC
Description of problem:

Installation of dpkg (or packages which depend on it) fails on dpkg postinst:

$ rpm-ostree install debootstrap
Checking out tree d439acf... done
Enabled rpm-md repositories: fedora-cisco-openh264 jkonecny-kakoune fedora-modular updates-modular updates code fedora
rpm-md repo 'fedora-cisco-openh264' (cached); generated: 2020-03-17T20:10:45Z
rpm-md repo 'jkonecny-kakoune' (cached); generated: 2020-03-25T05:30:03Z
rpm-md repo 'fedora-modular' (cached); generated: 2020-03-24T09:52:57Z
rpm-md repo 'updates-modular' (cached); generated: 2018-02-20T19:18:14Z
rpm-md repo 'updates' (cached); generated: 2018-02-20T19:18:14Z
rpm-md repo 'code' (cached); generated: 2020-03-24T19:34:14Z
rpm-md repo 'fedora' (cached); generated: 2020-03-24T11:21:48Z
Importing rpm-md... done
Resolving dependencies... done
Checking out packages... done
Running pre scripts... done
Running post scripts... done
error: Running %post for dpkg: Executing bwrap(/bin/sh): Child process killed by signal 1; run `journalctl -t 'rpm-ostree(dpkg.post)'` for more information


$ journalctl -t 'rpm-ostree(dpkg.post)'
rpm-ostree(dpkg.post)[14711]: touch: cannot touch '/var/lib/dpkg/diversions': No such file or directory
rpm-ostree(dpkg.post)[14713]: touch: cannot touch '/var/lib/dpkg/statoverride': No such file or directory
rpm-ostree(dpkg.post)[14714]: touch: cannot touch '/var/lib/dpkg/status': No such file or directory
rpm-ostree(dpkg.post)[14715]: touch: cannot touch '/var/log/dpkg.log': No such file or directory
rpm-ostree(dpkg.post)[14716]: chmod: cannot access '/var/log/dpkg.log': No such file or directory
rpm-ostree(dpkg.post)[14719]: chown: cannot access '/var/log/dpkg.log': No such file or directory


How reproducible:
$ rpm-ostree install dpkg


Steps to Reproduce:
1. Install `dpkg` on Fedora Silverblue

Actual results:
postinst scripts are incompatible with rpm-ostree.
Error


Expected results:
postinst stcripts are compatible with rpm-ostree.
Success!

Additional info:

Comment 1 kxra 2020-03-25 23:56:48 UTC
Also reported here: https://pagure.io/fedora-silverblue/issue/23

Comment 2 Fedora Program Management 2021-04-29 16:15:34 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Sergio Basto 2021-05-01 16:11:22 UTC
Hi,
Sorry just yesterday I understood the problem , can you check if dpkg-1.20.7.1-2.fc35 fix it for you ?

Comment 5 Martin Pitt 2021-05-03 04:44:22 UTC
I first confirmed the bug on current Fedora CoreOS (34). Then I realized that there is no Rawhide OSTree stream for CoreOS. So at least for me this is a bit difficult to test -- do you have a build for Fedora 34 as well? Thanks!

Comment 6 Sergio Basto 2021-05-03 09:29:36 UTC
I want review and fix some details on dpkg and also update it, I had the honor to be contact by one of dpkg author from debian that made a little review .
but I didn't have time yet .

Comment 7 Fedora Update System 2021-05-03 09:33:33 UTC
FEDORA-2021-354047f5ab has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-354047f5ab

Comment 8 Martin Pitt 2021-05-03 11:58:29 UTC
First I upgraded to Fedora 34 (as the coreos/testing branch is still F33):

  ostree rebase fedora:fedora/x86_64/coreos/next
  reboot

Then I confirmed the bug with current F34 dpkg:

  rpm-ostree install dpkg
  # [..]
  # error: Running %post for dpkg: bwrap(/bin/sh): Child process killed by signal 1; run `journalctl -t 'rpm-ostree(dpkg.post)'` for more information

Test the proposed update:

  rpm-ostree install https://kojipkgs.fedoraproject.org//packages/dpkg/1.20.7.1/2.fc34/x86_64/dpkg-1.20.7.1-2.fc34.x86_64.rpm
  # succeeded!
  reboot
  dpkg --help

Cheers!

Comment 9 Fedora Update System 2021-05-04 01:08:52 UTC
FEDORA-2021-354047f5ab has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-354047f5ab`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-354047f5ab

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-06 11:26:51 UTC
FEDORA-2021-d8645e1f76 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8645e1f76

Comment 11 Fedora Update System 2021-05-07 02:14:25 UTC
FEDORA-2021-d8645e1f76 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d8645e1f76`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8645e1f76

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-05-08 15:28:09 UTC
FEDORA-2021-49278f6c02 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-49278f6c02

Comment 13 Fedora Update System 2021-05-09 02:36:54 UTC
FEDORA-2021-49278f6c02 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-49278f6c02`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-49278f6c02

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-05-10 01:05:31 UTC
FEDORA-2021-354047f5ab has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-05-11 01:23:10 UTC
FEDORA-2021-92d92bd9fb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-92d92bd9fb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-92d92bd9fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-05-17 02:45:17 UTC
FEDORA-2021-49278f6c02 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-05-23 01:10:21 UTC
FEDORA-2021-92d92bd9fb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.